OSM2PGSQL(1)

NAME
osm2pgsql - Openstreetmap data to PostgreSQL converter.

SYNOPSIS
osm2pgsql [options] planet.osm
osm2pgsql [options] planet.osm.{gz,bz2,pbf}
osm2pgsql [options] file1.osm file2.osm file3.osm

DESCRIPTION
This manual page documents briefly the osm2pgsql command.

osm2pgsql imports data from OSM file(s) into a PostgreSQL database suitable for use by the Mapnik renderer.
OSM planet snapshots can be downloaded from http://planet.openstreetmap.org/. Partial planet files ("extracts") for various countries are available, see http://wiki.openstreetmap.org/wiki/Planet.osm.

Extracts in PBF (ProtoBufBinary) format are also available from http://download.geofabrik.de/osm/.

When operating in "slim" mode (and on a database created in "slim" mode!), osm2pgsql can also process OSM change files (osc files), thereby bringing an existing database up to date.

OPTIONS
These programs follow the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

-a|--append
    Add the OSM file into the database without removing existing data.

-b|--bbox
    Apply a bounding box filter on the imported data Must be specified as: minlon,minlat,maxlon,maxlat e.g. --bbox -0.5,51.25,0.5,51.75

-c|--create
    Remove existing data from the database. This is the default if --append is not specified.

-d|--database
    The name of the PostgreSQL database to connect to (default: gis).

-l|--latlong
    Store data in degrees of latitude & longitude.

-m|--merc
    Store data in proper spherical mercator (the default)

-M|--oldmerc
    Store data in the legacy OSM mercator format

-E|--proj num
    Use projection EPSG:num

-u|--utf8-sanitize
    Repair bad UTF8 input data (present in planet dumps prior to August 2007). Adds about 10% overhead.

-p|--prefix
    Prefix for table names (default planet_osm)

-r|--input-reader
    Select input format reader. Available choices are libxml2 (default) and primitive for OSM XML format files, and pbf for OSM PBF binary format (may not be available on all platforms)

-s|--slim
    Store temporary data in the database. This greatly reduces the RAM usage but is much slower.

-S|--style
    Location of the style file. Defaults to /usr/share/osm2pgsql/default.style.

-C|--cache
    Only for slim mode: Use upto this many MB for caching nodes. Defaults to 800.

-U|--username
    Postgresql user name.

-W|--password
    Force password prompt.

-H|--host
    Database server hostname or socket location.

-P|--port
    Database server port.

-e|--expire-tiles [min_zoom-]max-zoom
    Create a tile expiry list.

-o|--expire-output
    Output filename for expired tiles list.

-h|--help
    Help information.
    Add -v to display supported projections.

-v|--verbose
    Verbose output.

SUPPORTED PROJECTIONS
Latlong (-l) SRS: 4326 (none)
WGS84 Mercator ( ) SRS: 3395 +proj=merc +datum=WGS84 +k=1.0 +units=m +over +no_defs
Spherical Mercator (-m) SRS:900913 +proj=merc +a=6378137 +b=6378137 +lat_ts=0.0 +lon_0=0.0 +x_0=0.0 +y_0=0 +k=1.0 +units=m +nadgrids=@null +no_defs +over

SEE ALSO
proj(1), postgres(1).

AUTHOR
osm2pgsql was written by Jon Burgess, Artem Pavlenko, and other OpenStreetMap project members.

This manual page was written by Andreas Putzo <andreas@putzo.net> for the Debian project, and amended by OpenStreetMap authors.